Skip to main content
`Ctrl`+`K`

# MatPartitioningCreate

Creates a partitioning context.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningCreate(MPI_Comm comm, MatPartitioning *newp)

Collective

## Input Parameter

- comm - MPI communicator

## Output Parameter

- newp - location to put the context

## See Also

Matrices, `Mat`, `MatPartitioning`, `MatPartitioningSetType()`, `MatPartitioningApply()`, `MatPartitioningDestroy()`, `MatPartitioningSetAdjacency()`

## Level

beginner

## Location

src/mat/graphops/partition/partition.c

## Examples

src/mat/tutorials/ex11.c
src/mat/tutorials/ex17f.F90
src/mat/tutorials/ex15.c
src/ksp/ksp/tutorials/ex64.c
src/mat/tutorials/ex15f.F90
src/mat/tutorials/ex17.c
src/mat/tutorials/ex11f.F90

## Implementations

MatPartitioningCreate_Chaco() in src/mat/graphops/partition/impls/chaco/chaco.c
MatPartitioningCreate_Hierarchical() in src/mat/graphops/partition/impls/hierarchical/hierarchical.c
MatPartitioningCreate_Party() in src/mat/graphops/partition/impls/party/party.c
MatPartitioningCreate_Parmetis() in src/mat/graphops/partition/impls/pmetis/pmetis.c
MatPartitioningCreate_PTScotch() in src/mat/graphops/partition/impls/scotch/scotch.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages